Questão instalando a versão git da tela do gnu em um rh6 linux sem permissões de root


Como eu iria instalar a versão git da tela do gnu em um centos sem permissões de root?

Eu tentei isso:

mkdir ~/work
cd ~/work
git clone git://git.savannah.gnu.org/screen.git
cd screen/src

./autogen.sh


autoheader: WARNING: Using auxiliary files such as `acconfig.h', `config.h.bot'
autoheader: WARNING: and `config.h.top', to define templates for `config.h.in'
autoheader: WARNING: is deprecated and discouraged.
autoheader: 
autoheader: WARNING: Using the third argument of `AC_DEFINE' and
autoheader: WARNING: `AC_DEFINE_UNQUOTED' allows to define a template without
autoheader: WARNING: `acconfig.h':
autoheader: 
autoheader: WARNING:   AC_DEFINE([NEED_FUNC_MAIN], 1,
autoheader:             [Define if a function `main' is needed.])
autoheader: 
autoheader: WARNING: More sophisticated templates can also be produced, see the
autoheader: WARNING: documentation.

3


origem




Respostas:


Para compilar a versão git requer uma versão mais nova do GNU Autoconf (e provavelmente precisa da versão mais nova do GNU m4).

No meu exemplo no Scientific Linux 6.1.

cd ~/work
wget http://ftp.gnu.org/gnu/m4/m4-1.4.16.tar.bz2
tar xjf m4-1.4.16.tar.bz2
cd m4-1.4.16 && ./configure --prefix=$HOME/local && make && make install

cd ~/work
wget http://ftp.gnu.org/gnu/autoconf/autoconf-2.68.tar.bz2
tar xjf autoconf-2.68.tar.bz2
cd autoconf-2.68 && ./configure --prefix=$HOME/local && make && make install

e agora compile a tela do gnu.

cd ~/work/screen/src
./autogen.sh

./configure --prefix=$HOME/local \
            --enable-pam \
            --enable-colors256 \
            --enable-rxvt_osc \
            --enable-use-locale \
            --enable-telnet
make && make install

Espero que isto ajude.


2